import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterDeleteAllocationForFreezing = createAsyncThunk(
  "SLAUGHTER_DELETE_ALLOCATION_FOR_FREEZING",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.delete(
        `cold-house-allocations/0/?allocation_key=${d}`
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e };
    }
  }
);
